Typical Baseline APIAsk AIget https://api.genability.com/rest/v1/typicals/baselines/bestQuery ParamszipCodestringThe zip code or postal code we will use to look up local buildings.countrystringThe ISO country code. Use in conjunction with zipCode | postCode parameters.addressStringstringThe address string we will geo-tag (isolate latitude & longitude) to look up local buildings.latdoubleLatitude to look up. Use in concert with lng if you choose this method.lngdoubleLongitude to look up. Use in concert with lat if you choose this method.customerClassstringThe class of customer, which is one of RESIDENTIAL, GENERAL, or SPECIAL_USE.buildingTypestringThe building type that best describes this building. Use RESIDENTIAL for a residential default or one of the more explicit choices returned from the property key buildingTypeResidential or buildingTypeCommercial.serviceTypestringThis is currently limited to ELECTRICITY.buildingAreaint64If you have the site footprint, pass in size of the building in square feet. If this is not passed directly we will default to the average for the region and buildingType.buildingVintagestringThe construction year of the building, options include Pre1980, Post1980 (1980 - 2003), or New (2003+).excludeMeasuresbooleanSetting to true will omit the measures (makes the call faster if you don't need this data). Defaults to false.truefalsemeasuresUnitstringBy default, we will return total usage per interval. If you ask for intensity we'll convert this into energy intensity (e.g. per square foot or meter). Your final choice is proportion which means that each value in the year will add up to 100.groupBystringWhen supplied the response will roll up measures into this period. Possible values are MONTH, DAY, YEAR.sizingKeyNamestringPass this parameter when you want to adjust the size of the load. Currently supports loadSize. Used in concert with sizingDataValue and sizingUnit.sizingDataValueint32This should be set to the quantity to size (e.g. 12000 for 12,000 kWh). (See sizingKeyName above)sizingUnitstringThis denotes the unit of measure for the accompanying sizingDataValue. Currently, we support only kWh. (See sizingKeyName above)intervalFromDateTimedatePass this parameter when you want the "intervals" to be populated from a certain date (e.g. 2024-01-01).intervalToDateTimedatePass this parameter when you want the "intervals" to be populated to a certain date (e.g. 2025-01-01).Responses 200200 400400Updated 8 months ago